Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Alvaro Ramirez <[email-masked]>
Date: Thu, 13 Feb 2025 16:02:27 +0000

An update from the patch's perspective... I'm reworking things a 
little to make the feature adjustable on different platforms out 
of the box.

In the first submission of the new context menu, I'd like to 
include the generic bits along with the agreed scope of GNU/Linux 
support (via xdg-open) and macOS (via share dialog). Either will 
be configurable/overridable by users.

On a related note, Rudolf kindly shared Android's equivalent API 
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76120#47 which 
sounds like a lovely addition to the family. It'd be great to work 
with a keen counterpart who'd like to help me raise the tide and 
lifts all boats.